## kcodecs 5.44.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(KF5_VERSION "5.44.0") # handled by release scripts
project(KCodecs VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.44.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} )

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMQtDeclareLoggingCategory)

set(REQUIRED_QT_VERSION 5.7.0)
find_package(Qt5Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

find_package(Gperf REQUIRED)


include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(ECMPoQmTools)
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KCODECS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kcodecs_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5CodecsConfigVersion.cmake"
                        SOVERSION 5)

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

add_subdirectory(src)

add_subdirectory(autotests)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Codecs")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Codecs_QCH
        FILE KF5CodecsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5CodecsQchTargets.cmake\")")
endif()

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5CodecsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5CodecsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5CodecsConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5CodecsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF5CodecsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5CodecsTargets.cmake NAMESPACE KF5:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kcodecs_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )

# contains list of debug categories, for kdebugsettings
install(FILES kcodecs.categories DESTINATION ${KDE_INSTALL_CONFDIR})
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kcodecs 5.3.0

=== debian/changelog ===
kcodecs (5.3.0-0ubuntu1) utopic; urgency=medium

  [ Harald Sitter ]
  * Do not build depend on qt5-default, we only need qtbase5-dev

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:11:27 +0100

kcodecs (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Use pkg-kde-tools version 3 scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 20:02:01 +0200

kcodecs (5.1.0-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Update copyright to match licensing to source 

  [ José Manuel Santamaría Lema ]
  * Update libraries *.install paths so a soname bump doesn't go
    unnoticed.

  [ Scarlett Clark ]
  * New upstream release
  * Fix copyright missing license text. 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:31:42 +0200

kcodecs (5.0.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * Initial stable upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 09 Jul 2014 14:07:44 +0200

=== debian/control ===
Source: kcodecs
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/kcodecs
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kcodecs.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kcodecs.git

Package: libkf5codecs5
Architecture: any
Multi-Arch: same
Depends: libkf5codecs-data (=${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: collection of methods to manipulate strings
 KCodecs provide a collection of methods to manipulate strings
 using various encodings.

Package: libkf5codecs-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: collection of methods to manipulate strings
 KCodecs provide a collection of methods to manipulate strings
 using various encodings.
 .
 This package contains the translations.

Package: libkf5codecs-dev
Architecture: any
Section: libdevel
Depends: libkf5codecs5 (=${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: development files for kcodecs
 This package contains development files for building software that uses
 libraries from kcodecs.

Package: libkf5codecs5-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libkf5codecs5 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: debugging symbols for the kcodecs package
 This package contains debugging files used to investigate problems with
 binaries included in the kcodecs package.

## kcodecs 5.9.0

=== debian/changelog ===
kcodecs (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 23:19:24 +0200

kcodecs (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:45:48 +0100

kcodecs (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:27:55 +0100

kcodecs (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 19:51:30 +0100

kcodecs (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 11:16:45 +0100

kcodecs (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:01:09 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
+               extra-cmake-modules (>= 1.8.0),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kcodecs
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kcodecs.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kcodecs.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kcodecs.git
 
 Package: libkf5codecs5

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d\.]*)/kcodecs-(.*)\.tar\.xz

http://download.kde.org/unstable/frameworks/([\d\.]*)/kcodecs-(.*)\.tar\.xz

## kcodecs 5.15.0

=== debian/changelog ===
kcodecs (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:43:45 +0100

kcodecs (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:10:42 +0100

kcodecs (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 12:51:34 +0200

kcodecs (5.12.0-0ubuntu2) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Vivid backport. 

  [ Aaron Honeycutt ]
  * Fix debian/copyright

 -- Aaron Honeycutt <aaronhoneycutt@kubuntu.org>  Mon, 03 Aug 2015 14:25:09 +0200

kcodecs (5.11.0-0ubuntu1) UNRELEASED; urgency=medium

  * Vivid backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 08 Jul 2015 08:07:14 -0700

kcodecs (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Jun 2015 18:27:44 +0200

kcodecs (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:59:32 +0200

kcodecs (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:25:40 +0200

kcodecs (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 14 Mar 2015 22:27:08 +0100

kcodecs (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 27 Feb 2015 23:11:37 +0100

kcodecs (5.6.0-1) experimental; urgency=medium

  [ Harald Sitter ]
  * Do not build depend on qt5-default, we only need qtbase5-dev

  [ Maximiliano Curia ]
  * New upstream release (5.6.0).
  * Update build dependencies to experimental versions.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update install files.
  * Update build dependencies to follow cmake.
  * Update copyright information.
  * Add basic autopkgtests support.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 22 Jan 2015 18:09:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.8.0),
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev,
-               qttools5-dev,
-               qttools5-dev-tools
+               qtbase5-dev (>= 5.4),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4)
 Standards-Version: 3.9.6
+XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kcodecs
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kcodecs.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kcodecs.git
@@ -18,7 +19,7 @@
 Package: libkf5codecs5
 Architecture: any
 Multi-Arch: same
-Depends: libkf5codecs-data (=${source:Version}),
+Depends: libkf5codecs-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: collection of methods to manipulate strings
@@ -38,8 +39,8 @@
 Package: libkf5codecs-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5codecs5 (=${binary:Version}),
-         qtbase5-dev,
+Depends: libkf5codecs5 (= ${binary:Version}),
+         qtbase5-dev (>= 5.4),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: development files for kcodecs
@@ -51,7 +52,9 @@
 Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: libkf5codecs5 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libkf5codecs5 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: debugging symbols for the kcodecs package
  This package contains debugging files used to investigate problems with
  binaries included in the kcodecs package.

## kcodecs 5.18.0

=== debian/changelog ===
kcodecs (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:18:40 +0100

kcodecs (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:13:04 +0100

kcodecs (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:17 +0200

kcodecs (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:31 +0100

kcodecs (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:48:51 +0200

kcodecs (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 27 Aug 2015 18:35:59 +0200

kcodecs (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:24 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kcodecs
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kcodecs.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kcodecs.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	dh_strip --dbg-package=libkf5codecs5-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/kcodecs-([\d.]+)\.tar\.xz

## kcodecs 5.26.0

=== debian/changelog ===
kcodecs (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 11:55:40 +0200

kcodecs (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 18 Aug 2016 17:20:45 +0200

kcodecs (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 08:09:50 +0200

kcodecs (5.22.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 May 2016 11:55:02 +0200

kcodecs (5.21.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 May 2016 15:18:03 +0200

kcodecs (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:08 +0100

kcodecs (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:33:47 +0100

=== debian/control ===
Source: kcodecs
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.26.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.5.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kcodecs
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kcodecs.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kcodecs.git

Package: libkf5codecs5
Architecture: any
Multi-Arch: same
Depends: libkf5codecs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: collection of methods to manipulate strings
 KCodecs provide a collection of methods to manipulate strings
 using various encodings.
Breaks: kio (<< 5.26),
        libkf5bookmarks5 (<< 5.26),
        libkf5configwidgets5 (<< 5.26),
        libkf5kdelibs4support5 (<< 5.26),
        libkf5khtml5 (<< 5.26),
        libkf5kiofilewidgets5 (<< 5.26),
        libkf5notifications5 (<< 5.26),
        libkf5texteditor5 (<< 5.26)

Package: libkf5codecs-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: collection of methods to manipulate strings
 KCodecs provide a collection of methods to manipulate strings
 using various encodings.
 .
 This package contains the translations.

Package: libkf5codecs-dev
Architecture: any
Section: libdevel
Depends: libkf5codecs5 (= ${binary:Version}),
         qtbase5-dev (>= 5.5.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: development files for kcodecs
 This package contains development files for building software that uses
 libraries from kcodecs.
Breaks: libkf5configwidgets-dev (<< 5.26)

## kcodecs 5.28.0

=== debian/changelog ===
kcodecs (5.28.0-1) unstable; urgency=medium

  [ Harald Sitter ]
  * properly define mpl-1.1
  * add missing license definition

  [ Automatic packaging ]
  * Update symbols files from buildds logs (5.27.0-1).
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:00:51 +0100

kcodecs (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 16:48:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.26.0~),
+               extra-cmake-modules (>= 5.28.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.5.0~),
                qttools5-dev (>= 5.4),
@@ -24,14 +24,14 @@
 Description: collection of methods to manipulate strings
  KCodecs provide a collection of methods to manipulate strings
  using various encodings.
-Breaks: kio (<< 5.26),
-        libkf5bookmarks5 (<< 5.26),
-        libkf5configwidgets5 (<< 5.26),
-        libkf5kdelibs4support5 (<< 5.26),
-        libkf5khtml5 (<< 5.26),
-        libkf5kiofilewidgets5 (<< 5.26),
-        libkf5notifications5 (<< 5.26),
-        libkf5texteditor5 (<< 5.26)
+Breaks: kio (<< 5.28),
+        libkf5bookmarks5 (<< 5.28),
+        libkf5configwidgets5 (<< 5.28),
+        libkf5kdelibs4support5 (<< 5.28),
+        libkf5khtml5 (<< 5.28),
+        libkf5kiofilewidgets5 (<< 5.28),
+        libkf5notifications5 (<< 5.28),
+        libkf5texteditor5 (<< 5.28)
 
 Package: libkf5codecs-data
 Architecture: all
@@ -53,4 +53,4 @@
 Description: development files for kcodecs
  This package contains development files for building software that uses
  libraries from kcodecs.
-Breaks: libkf5configwidgets-dev (<< 5.26)
+Breaks: libkf5configwidgets-dev (<< 5.28)

## kcodecs 5.31.0

=== debian/changelog ===
kcodecs (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:52:44 +0000

kcodecs (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:36:36 +0000

kcodecs (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)
  * Update symbols from buildlogs

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Simon Quigley ]
  * Merge from Debian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:18:59 +0000

kcodecs (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:41:46 +0100

kcodecs (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:37:57 +0000

kcodecs (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:08:40 +0200

kcodecs (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:12:29 -0700

=== debian/control ===
Source: kcodecs
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kcodecs
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcodecs
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcodecs

Package: libkf5codecs5
Architecture: any
Multi-Arch: same
Depends: libkf5codecs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: collection of methods to manipulate strings
 KCodecs provide a collection of methods to manipulate strings
 using various encodings.

Package: libkf5codecs-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: collection of methods to manipulate strings
 KCodecs provide a collection of methods to manipulate strings
 using various encodings.
 .
 This package contains the translations.

Package: libkf5codecs-dev
Architecture: any
Section: libdevel
Depends: libkf5codecs5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: development files for kcodecs
 This package contains development files for building software that uses
 libraries from kcodecs.

## kcodecs 5.38.0

=== debian/changelog ===
kcodecs (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:14:15 +0100

kcodecs (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:50:02 +0100

kcodecs (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:54:32 +0100

kcodecs (5.35.0-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * gperf executable now need as build depend

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 23:00:04 +0100

kcodecs (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:27:58 +0100

kcodecs (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:07:48 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
+               gperf,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~),

## kcodecs 5.44.0

=== debian/changelog ===
kcodecs (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:56:25 +0000

kcodecs (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:14:08 +0000

kcodecs (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:20:10 +0000

kcodecs (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)
  * Added etc/xdg/kcodecs.categories to libkf5codecs-data.install 

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:03:25 -0600

kcodecs (5.40.0-0ubuntu1) bionic; urgency=medium

  * Add Section:libs to library packages as prompted by lintian
  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:15:16 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.38.0~),
+               extra-cmake-modules (>= 5.44.0~),
                gperf,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~),
@@ -15,16 +15,6 @@
 Homepage: https://projects.kde.org/projects/frameworks/kcodecs
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcodecs
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcodecs
-
-Package: libkf5codecs5
-Architecture: any
-Multi-Arch: same
-Depends: libkf5codecs-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: collection of methods to manipulate strings
- KCodecs provide a collection of methods to manipulate strings
- using various encodings.
 
 Package: libkf5codecs-data
 Architecture: all
@@ -46,3 +36,14 @@
 Description: development files for kcodecs
  This package contains development files for building software that uses
  libraries from kcodecs.
+
+Package: libkf5codecs5
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends: libkf5codecs-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: collection of methods to manipulate strings
+ KCodecs provide a collection of methods to manipulate strings
+ using various encodings.

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 
 override_dh_strip:
-	dh_strip --dbg-package=libkf5codecs5-dbg
+	dh_strip --dbgsym-migration='libkf5codecs5-dbg (<= 5.19.0-1~~)'

## kcodecs 5.50.0

=== debian/changelog ===
kcodecs (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:11:55 +0100

kcodecs (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:29:10 +0100

kcodecs (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:47:56 +0100

kcodecs (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * libkf5codecs5 section to libs
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:31 +0200

kcodecs (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:55:09 +0100

kcodecs (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:10:06 +0200

kcodecs (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:27 +0100

kcodecs (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:43:09 +0100

kcodecs (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:34 +0100

kcodecs (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:04:43 +0100

kcodecs (5.41.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.41)
  * Release to experimental

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate libqt5sql5-sqlite with :native (Closes: 882862)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:42:10 -0300

kcodecs (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:43:23 +0000

kcodecs (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 12:55:57 +0000

kcodecs (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:39:22 +0000

kcodecs (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:27:52 +0000

kcodecs (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:57:41 +0200

kcodecs (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Add a libkf5codecs-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:41:55 +0200

kcodecs (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:11:59 +0000

kcodecs (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * Add gperf missing build dep
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:41:02 +0200

kcodecs (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:10:12 +0000

kcodecs (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:30:32 +0000

kcodecs (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:44:14 +0000

kcodecs (5.33.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Apr 2017 16:21:26 +0000

kcodecs (5.32.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Mar 2017 13:20:53 +0000

kcodecs (5.31.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Feb 2017 14:34:44 +0000

kcodecs (5.30.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2017 13:38:02 +0000

kcodecs (5.29.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Dec 2016 19:06:23 +0000

kcodecs (5.28.0-0neon) xenial; urgency=medium



=== debian/control ===
--- 
+++ 
@@ -3,15 +3,18 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.44.0~),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
+               doxygen,
+               extra-cmake-modules (>= 5.50.0~),
                gperf,
+               graphviz,
+               libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.6.1~),
+               qtbase5-dev (>= 5.8.0~),
                qttools5-dev (>= 5.6.1~),
-               qttools5-dev-tools (>= 5.6.1~)
-Standards-Version: 3.9.8
+               qttools5-dev-tools (>= 5.6.1~),
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kcodecs
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcodecs
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcodecs
@@ -30,12 +33,24 @@
 Architecture: any
 Section: libdevel
 Depends: libkf5codecs5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.6.1~),
+         qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+Recommends: libkf5codecs-doc (= ${source:Version})
 Description: development files for kcodecs
  This package contains development files for building software that uses
  libraries from kcodecs.
+
+Package: libkf5codecs-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: collection of methods to manipulate strings (documentation)
+ KCodecs provide a collection of methods to manipulate strings
+ using various encodings.
+ .
+ This package contains the qch documentation files.
 
 Package: libkf5codecs5
 Architecture: any

## kcodecs 5.54.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.44.0") # handled by release scripts
+set(KF5_VERSION "5.54.0") # handled by release scripts
 project(KCodecs VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.44.0  NO_MODULE)
+find_package(ECM 5.54.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -16,7 +16,7 @@
 include(KDECMakeSettings)
 include(ECMQtDeclareLoggingCategory)
 
-set(REQUIRED_QT_VERSION 5.7.0)
+set(REQUIRED_QT_VERSION 5.9.0)
 find_package(Qt5Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 
 find_package(Gperf REQUIRED)
@@ -41,10 +41,13 @@
 if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
     ecm_install_po_files_as_qm(po)
 endif()
+#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
 
 add_subdirectory(src)
 
-add_subdirectory(autotests)
+if (BUILD_TESTING)
+    add_subdirectory(autotests)
+endif()
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Codecs")

=== debian/changelog ===
kcodecs (5.54.0-1+rb1) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 19 Jan 2021 14:16:38 +0800

kcodecs (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:28 -0300

kcodecs (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:30 +0100

kcodecs (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * Update copyright information
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:10 +0200

kcodecs (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:08:22 +0200

=== debian/control ===
Source: kcodecs
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.54.0~),
               gperf,
               graphviz,
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kcodecs
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcodecs
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcodecs.git

Package: libkf5codecs-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: collection of methods to manipulate strings
 KCodecs provide a collection of methods to manipulate strings
 using various encodings.
 .
 This package contains the translations.

Package: libkf5codecs-dev
Architecture: any
Section: libdevel
Depends: libkf5codecs5 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5codecs-doc (= ${source:Version})
Description: development files for kcodecs
 This package contains development files for building software that uses
 libraries from kcodecs.
Breaks: libkf5configwidgets-dev (<< 5.54)

Package: libkf5codecs-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: collection of methods to manipulate strings (documentation)
 KCodecs provide a collection of methods to manipulate strings
 using various encodings.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5codecs5
Section: libs
Architecture: any
Multi-Arch: same
Depends: libkf5codecs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: collection of methods to manipulate strings
 KCodecs provide a collection of methods to manipulate strings
 using various encodings.
Breaks: kdesignerplugin (<< 5.42),
        kio (<< 5.54),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5bookmarks5 (<< 5.54),
        libkf5configwidgets5 (<< 5.54),
        libkf5iconthemes5 (<< 5.42),
        libkf5kcmutils5 (<< 5.42),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.42),
        libkf5khtml5 (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.54),
        libkf5kiowidgets5 (<< 5.42),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.42),
        libkf5notifications5 (<< 5.54),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.42),
        libkf5plasma5 (<< 5.42),
        libkf5plasmaquick5 (<< 5.42),
        libkf5style5 (<< 5.42),
        libkf5texteditor5 (<< 5.54),
        libkf5textwidgets5 (<< 5.42),
        libkf5wallet-bin (<< 5.42),
        libkf5webkit5 (<< 5.42),
        libkf5xmlgui5 (<< 5.42),
        plasma-framework (<< 5.42),
        qml-module-org-kde-qqc2desktopstyle (<< 5.42),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5codecs5-dbg (<= 5.19.0-1~~)'

## kcodecs 5.56.0

=== debian/changelog ===
kcodecs (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:34:37 +0000

kcodecs (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:29:41 +0000

kcodecs (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:33:50 +0000

kcodecs (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:47:39 +0000

kcodecs (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:41:14 +0000

=== debian/control ===
Source: kcodecs
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.56.0~),
               gperf,
               graphviz,
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kcodecs
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcodecs
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcodecs

Package: libkf5codecs-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: collection of methods to manipulate strings
 KCodecs provide a collection of methods to manipulate strings
 using various encodings.
 .
 This package contains the translations.

Package: libkf5codecs-dev
Architecture: any
Section: libdevel
Depends: libkf5codecs5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5codecs-doc (= ${source:Version})
Description: development files for kcodecs
 This package contains development files for building software that uses
 libraries from kcodecs.

Package: libkf5codecs-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: collection of methods to manipulate strings (documentation)
 KCodecs provide a collection of methods to manipulate strings
 using various encodings.
 .
 This package contains the qch documentation files.

Package: libkf5codecs5
Architecture: any
Multi-Arch: same
Section: libs
Depends: libkf5codecs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: collection of methods to manipulate strings
 KCodecs provide a collection of methods to manipulate strings
 using various encodings.
